%global pkg_name        Module-Load-Conditional
%global pkg_version     0.22
%global rpm_pkg_version 0.22
%global rpm_pkg_release 1.n0i.7

Summary:       Looking up module information / loading at runtime
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KA/KANE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Locale::Maketext::Simple)
BuildRequires: perl(Module::Load) >= 0.11
BuildRequires: perl(Params::Check)
BuildRequires: perl(version) >= 0.69

Requires:      perl(Module::Load) >= 0.11
Requires:      perl(version)      >= 0.69
%global perl_filter_req 'perl\\((Module::Load|version)\\)$'


%description
Module::Load::Conditional provides simple ways to query and possibly load
any of the modules you have installed on your system during runtime.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc CHANGES README


%changelog
* Tue Oct 16 2007 Marius Feraru <altblue@n0i.net> - 0.22-1.n0i.7
- version 0.22

* Fri Oct 05 2007 Marius Feraru <altblue@n0i.net> - 0.20-1.n0i.6
- version 0.20

* Sun Sep 16 2007 Marius Feraru <altblue@n0i.net> - 0.18-1.n0i.5
- version 0.18

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.16-1.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.16

* Sat Jul 23 2005 Marius Feraru <altblue@n0i.net> 0.08-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.08-2.n0i.2
- automatic rebuild (perl 5.8.6)

* Thu Jan 27 2005 Marius Feraru <altblue@n0i.net> 0:0.08-1.n0i.1
- version 0.08
- spec file (re?)created using N0i::CPAN::RPMizer/2004120601
